Functions

# usb-other.h File Reference

Go to the source code of this file.

## Functions
void | othUSBRead (DevicePtr pDev, dmxMotionProcPtr motion, dmxEnqueueProcPtr enqueue, dmxCheckSpecialProcPtr checkspecial, DMXBlockType block)
void | othUSBInit (DevicePtr pDev)
void | othUSBGetInfo (DevicePtr pDev, DMXLocalInitInfoPtr info)
int | othUSBOn (DevicePtr pDev)
void | othUSBCtrl (DevicePtr pDev, PtrCtrl *ctrl)

## Detailed Description

Interface to USB generic driver.

See also:
  usb-other.c
  usb-common.c

## Function Documentation

void othUSBCtrl | ( | DevicePtr | pDev,
|  | PtrCtrl * | ctrl |
| ) |  |  |

void othUSBGetInfo | ( | DevicePtr | pDev,
|  | DMXLocalInitInfoPtr | info |
| ) |  |  |

Fill the info structure with information needed to initialize pDev.

References _DMXLocalInitInfo::belFeedbackClass, DMX_MAX_AXES, dmxLog(), dmxWarning, _DMXLocalInitInfo::keyClass, _DMXLocalInitInfo::keySyms, _DMXLocalInitInfo::ledFeedbackClass, _DMXLocalInitInfo::maxres, _DMXLocalInitInfo::maxval, _DMXLocalInitInfo::minres, _DMXLocalInitInfo::minval, _DMXLocalInitInfo::numAbsAxes, _DMXLocalInitInfo::numRelAxes, _DMXLocalInitInfo::res, test_bit, and _DMXLocalInitInfo::valuatorClass.

void othUSBInit | ( | DevicePtr | pDev | ) |

Initialize pDev using usbInit.

References usbInit(), and usbOther.

Referenced by othUSBOn().

int othUSBOn | ( | DevicePtr | pDev | ) |

Turn pDev on (i.e., take input from pDev).

References othUSBInit().

void othUSBRead | ( | DevicePtr | pDev,
|  | dmxMotionProcPtr | motion,
|  | dmxEnqueueProcPtr | enqueue,
|  | dmxCheckSpecialProcPtr | checkspecial,
|  | DMXBlockType | block |
| ) |  |  |